﻿Imports Telerik.Windows.Controls

Public Class ViewModel
	Inherits ExampleViewModel

	Private _groupFilter As Func(Of Object, Boolean)

	Public Sub New()
		Me.GroupFilter = New Func(Of Object, Boolean)(AddressOf Me.GroupFilterFunc)
	End Sub

	Public Property GroupFilter As Func(Of Object, Boolean)
		Get
			Return Me._groupFilter
		End Get
		Private Set(ByVal value As Func(Of Object, Boolean))
			Me._groupFilter = value
			Me.OnPropertyChanged("GroupFilter")
		End Set
	End Property

	Private Sub UpdateGroupFilter()
		Me.GroupFilter = New Func(Of Object, Boolean)(AddressOf Me.GroupFilterFunc)
	End Sub

	Private Function GroupFilterFunc(ByVal groupName As Object) As Boolean
		Dim resource As IResource = TryCast(groupName, IResource)
		Return If(resource Is Nothing, True, resource.ResourceName = User.CurrentUser)

	End Function
End Class
