﻿Imports Telerik.Windows.Controls

Public Class GroupHeaderStyleSelector
	Inherits ScheduleViewStyleSelector

	Private _dateGroupStyle As Style
	Private _courtGroupStyle As Style

	Private _carltonCourtStyle As Style
	Private _graceCourtStyle As Style

	Private _coachStyle As Style
	Private _singlePlayStyle As Style

	Private _userNameStyle As Style

	Public Property DateGroupStyle() As Style
		Get
			Return Me._dateGroupStyle
		End Get
		Set(ByVal value As Style)
			Me._dateGroupStyle = value
		End Set
	End Property

	Public Property CourtGroupStyle() As Style
		Get
			Return Me._courtGroupStyle
		End Get
		Set(ByVal value As Style)
			Me._courtGroupStyle = value
		End Set
	End Property

	Public Property CarltonCourtStyle() As Style
		Get
			Return Me._carltonCourtStyle
		End Get
		Set(ByVal value As Style)
			Me._carltonCourtStyle = value
		End Set
	End Property

	Public Property GraceCourtStyle() As Style
		Get
			Return Me._graceCourtStyle
		End Get
		Set(ByVal value As Style)
			Me._graceCourtStyle = value
		End Set
	End Property

	Public Property CoachStyle() As Style
		Get
			Return Me._coachStyle
		End Get
		Set(ByVal value As Style)
			Me._coachStyle = value
		End Set
	End Property

	Public Property SinglePlayStyle() As Style
		Get
			Return Me._singlePlayStyle
		End Get
		Set(ByVal value As Style)
			Me._singlePlayStyle = value
		End Set
	End Property

	Public Property UserNameStyle() As Style
		Get
			Return Me._userNameStyle
		End Get
		Set(ByVal value As Style)
			Me._userNameStyle = value
		End Set
	End Property

	Public Overrides Function SelectStyle(ByVal item As Object, ByVal container As DependencyObject, ByVal activeViewDeifinition As ViewDefinitionBase) As Style
		Dim cvg As CollectionViewGroup = TryCast(item, CollectionViewGroup)
		If cvg IsNot Nothing Then
			Dim name As Object = cvg.Name
			If TypeOf name Is DateTime Then
				Return Me.DateGroupStyle
			ElseIf TypeOf name Is Resource Then
				Dim r As Resource = TryCast(name, Resource)
				Select Case r.ResourceName
					Case "Carlton Court"
						Return Me._carltonCourtStyle
					Case "Grace Court"
						Return Me._graceCourtStyle

					Case "Coach"
						Return Me._coachStyle
					Case "Single Play"
						Return Me._singlePlayStyle
					Case Else

						Exit Select
				End Select

				Select Case r.ResourceType
					Case "UserName"
						Return Me.UserNameStyle
					Case Else

						Exit Select
				End Select
			End If
		End If
		Return MyBase.SelectStyle(item, container, activeViewDeifinition)
	End Function


End Class
